Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.query
Class QuaxBean

    java.lang.Object
      com.tonbeller.jpivot.olap.query.QuaxBean

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MondrianQuaxBean

    public class QuaxBean

extends java.lang.Object
implements java.io.Serializable

Java Bean object to hold the state of Quax.

See Also:
  Serialized Form

Constructor Summary
`QuaxBean()`

Method Summary
`int` | `getGenerateIndex()`
`int` | `getGenerateMode()`
`int` | `getNDimension()` Get nDimension.
`int` | `getNHierExclude()`
`int` | `getOrdinal()` Get ordinal.
`PositionNodeBean` | `getPosTreeRoot()`
`boolean` | `isHierarchizeNeeded()`
`boolean` | `isQubonMode()` Get qubonMode.
`void` | `setGenerateIndex(int i)`
`void` | `setGenerateMode(int i)`
`void` | `setHierarchizeNeeded(boolean b)`
`void` | `setNDimension(int nDimension)` Set nDimension.
`void` | `setNHierExclude(int hierExclude)`
`void` | `setOrdinal(int ordinal)` Set ordinal.
`void` | `setPosTreeRoot(PositionNodeBean posTreeRoot)`
`void` | `setQubonMode(boolean qubonMode)` Set qubonMode.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuaxBean

    public QuaxBean()

Method Detail

### getNDimension

    public int getNDimension()

  Get nDimension.

  Returns:
    nDimension

### setNDimension

    public void setNDimension(int nDimension)

  Set nDimension.

  Parameters:
    `nDimension` -

### getOrdinal

    public int getOrdinal()

  Get ordinal.

  Returns:
    ordinal

### setOrdinal

    public void setOrdinal(int ordinal)

  Set ordinal.

  Parameters:
    `ordinal` -

### isQubonMode

    public boolean isQubonMode()

  Get qubonMode.

  Returns:
    qubonMode

### setQubonMode

    public void setQubonMode(boolean qubonMode)

  Set qubonMode.

  Parameters:
    `qubonMode` -

### getPosTreeRoot

    public PositionNodeBean getPosTreeRoot()

  Returns:
    posTreeRoot

### setPosTreeRoot

    public void setPosTreeRoot(PositionNodeBean posTreeRoot)

  Parameters:
    `posTreeRoot` -

### isHierarchizeNeeded

    public boolean isHierarchizeNeeded()

  Returns:

### setHierarchizeNeeded

    public void setHierarchizeNeeded(boolean b)

  Parameters:
    `b` -

### getGenerateIndex

    public int getGenerateIndex()

  Returns:

### getGenerateMode

    public int getGenerateMode()

  Returns:

### setGenerateIndex

    public void setGenerateIndex(int i)

  Parameters:
    `i` -

### setGenerateMode

    public void setGenerateMode(int i)

  Parameters:
    `i` -

### getNHierExclude

    public int getNHierExclude()

  Returns:
    Returns the nHierExclude.

### setNHierExclude

    public void setNHierExclude(int hierExclude)

  Parameters:
    `hierExclude` - The nHierExclude to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD